import * as React from 'react';
import Reanimated from 'react-native-reanimated';
import { Props as ReanimatedArcBaseProps } from './ReanimatedArcBase';
declare type Props = Omit<ReanimatedArcBaseProps, 'arcSweepAngle' | 'rotation'> & {
    arcSweepAngle: number;
    rotation: number;
    initialAnimation: boolean;
    animationDuration: number;
    easing: Reanimated.EasingFunction;
};
declare class ReanimatedArc extends React.Component<Props> {
    static defaultProps: {
        initialAnimation: boolean;
        animationDuration: number;
        easing: Reanimated.EasingFunction;
        color: string;
        rotation: number;
        lineCap: string;
        arcSweepAngle: number;
        hideSmallAngle: boolean;
    };
    arcSweepAngle: Reanimated.Value<number>;
    rotation: Reanimated.Value<number>;
    arcSweepAngleTiming: Reanimated.BackwardCompatibleWrapper | null;
    rotationTiming: Reanimated.BackwardCompatibleWrapper | null;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props): void;
    runArcAnimation(): void;
    runRotationAnimation(): void;
    render(): JSX.Element;
}
export default ReanimatedArc;
